curl --request POST \
--url https://www.ruddr.io/api/workspace/exchange-rate-periods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromCurrency": "<string>",
"toCurrency": "<string>",
"start": "2023-12-25",
"end": "2023-12-25",
"rate": 123
}
'import requests
url = "https://www.ruddr.io/api/workspace/exchange-rate-periods"
payload = {
"fromCurrency": "<string>",
"toCurrency": "<string>",
"start": "2023-12-25",
"end": "2023-12-25",
"rate": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fromCurrency: '<string>',
toCurrency: '<string>',
start: '2023-12-25',
end: '2023-12-25',
rate: 123
})
};
fetch('https://www.ruddr.io/api/workspace/exchange-rate-periods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/exchange-rate-periods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fromCurrency' => '<string>',
'toCurrency' => '<string>',
'start' => '2023-12-25',
'end' => '2023-12-25',
'rate' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/exchange-rate-periods"
payload := strings.NewReader("{\n \"fromCurrency\": \"<string>\",\n \"toCurrency\": \"<string>\",\n \"start\": \"2023-12-25\",\n \"end\": \"2023-12-25\",\n \"rate\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.ruddr.io/api/workspace/exchange-rate-periods")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fromCurrency\": \"<string>\",\n \"toCurrency\": \"<string>\",\n \"start\": \"2023-12-25\",\n \"end\": \"2023-12-25\",\n \"rate\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/exchange-rate-periods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fromCurrency\": \"<string>\",\n \"toCurrency\": \"<string>\",\n \"start\": \"2023-12-25\",\n \"end\": \"2023-12-25\",\n \"rate\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "b2e7a4c1-93f8-4d12-a5b6-e0c1d8f74a39",
"fromCurrency": "EUR",
"toCurrency": "CAD",
"start": "2026-01-01",
"end": "2026-06-30",
"rate": 1.485,
"createdAt": "2026-02-14T11:42:08.217Z"
}Create an exchange rate period
curl --request POST \
--url https://www.ruddr.io/api/workspace/exchange-rate-periods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromCurrency": "<string>",
"toCurrency": "<string>",
"start": "2023-12-25",
"end": "2023-12-25",
"rate": 123
}
'import requests
url = "https://www.ruddr.io/api/workspace/exchange-rate-periods"
payload = {
"fromCurrency": "<string>",
"toCurrency": "<string>",
"start": "2023-12-25",
"end": "2023-12-25",
"rate": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fromCurrency: '<string>',
toCurrency: '<string>',
start: '2023-12-25',
end: '2023-12-25',
rate: 123
})
};
fetch('https://www.ruddr.io/api/workspace/exchange-rate-periods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/exchange-rate-periods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fromCurrency' => '<string>',
'toCurrency' => '<string>',
'start' => '2023-12-25',
'end' => '2023-12-25',
'rate' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/exchange-rate-periods"
payload := strings.NewReader("{\n \"fromCurrency\": \"<string>\",\n \"toCurrency\": \"<string>\",\n \"start\": \"2023-12-25\",\n \"end\": \"2023-12-25\",\n \"rate\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.ruddr.io/api/workspace/exchange-rate-periods")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fromCurrency\": \"<string>\",\n \"toCurrency\": \"<string>\",\n \"start\": \"2023-12-25\",\n \"end\": \"2023-12-25\",\n \"rate\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/exchange-rate-periods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fromCurrency\": \"<string>\",\n \"toCurrency\": \"<string>\",\n \"start\": \"2023-12-25\",\n \"end\": \"2023-12-25\",\n \"rate\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "b2e7a4c1-93f8-4d12-a5b6-e0c1d8f74a39",
"fromCurrency": "EUR",
"toCurrency": "CAD",
"start": "2026-01-01",
"end": "2026-06-30",
"rate": 1.485,
"createdAt": "2026-02-14T11:42:08.217Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The 3-letter ISO 4217 currency code for the source currency.
The 3-letter ISO 4217 currency code for the target currency. Must differ from fromCurrency.
The start date for the period (YYYY-MM-DD).
The end date for the period (YYYY-MM-DD). Must come on or after start.
The exchange rate applied when converting from fromCurrency to toCurrency.
Response
200
The unique identifier for the object.
The 3-letter ISO 4217 currency code for the source currency.
The 3-letter ISO 4217 currency code for the target currency.
The start date for the period. Will be in the form YYYY-MM-DD.
The end date for the period. Will be in the form YYYY-MM-DD.
The exchange rate applied when converting from fromCurrency to toCurrency.
The timestamp when the object was created.